<template>
    <Navbar :modal="modal"  @modalfunction="modalfunction"  />
    <router-view :modal="modal" @modalfunction="modalfunction"></router-view>
    <Modal :modal="modal" @modalfunction="modalfunction" @returnmessage="returnmessage"/>
</template>
<script>


import Navbar from './navbar.vue'
import Modal from './modal.vue'

export default {
 components:{
        Modal,
        Navbar,
    },

    data(){
        return{
            week:0,
            modal: true,
            message:'Hai già impostato tutti i pasti per questa giornata',
            messagebollean: false,
        }
    },
 
    methods:{
         modalfunction(){
            this.modal = !this.modal
         },
         returnmessage(){
            this.messagebollean = true;
         },
         clearmessage(){
            this.messagebollean = false;
         }
    },
};
</script>

<style>

</style>